> # NAME

> ColorWriteEnable - 3D API color write enable

> # USAGE

> ColorWriteEnable = bool4(r, g, b, a)

> # VALID ENUMERANTS

> r, g, b, a: true, false

> # DESCRIPTION

> Enable/disable writing of frame buffer color components. See the OpenGL glColorMask manual page for details. See the D3DRS_COLORWRITEENABLE render state description for DirectX 9.

> The standard reset callback sets the ColorWriteEnable state to bool4(true, true, true, true).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> BlendColor, ClearColor, ColorArg0, ColorArg1, ColorArg2, ColorLogicOpEnable, ColorMask, ColorMaterial, ColorMatrix, ColorOp, ColorTransform, ColorVertex, ColorWriteEnable1, ColorWriteEnable2, ColorWriteEnable3